export default {
  ACTE: ['resipCodeActe', 'codeActe', 'libelleActe', 'normeB2'],
  ACTIVITE_TYPE: ['code', 'nom'],
  ACTUALITE_ORIGINE: ['code', 'libelle', 'ordre'],
  AUTOMATE: ['modeleAutomate'],
  CANAL_GAMME: ['resipIdGamme', 'codeGamme', 'libelle', 'estDefaut', 'canal'],
  COMMANDE_CANAL: ['code', 'libelle'],
  COMMANDE_MOYEN: ['code', 'libelle'],
  COMMANDE_STATUT: ['code', 'libelle'],
  COMMANDE_TYPE: ['code', 'libelle'],
  CONCURRENT: ['nom'],
  CONTRAT_STATUS: ['numeroOrdre', 'nom'],
  FAMILLE: ['resipCodeFamille', 'codeFamille', 'libelleFamille'],
  GAMME_CATALOGUE: ['resipIdGamme', 'codeGamme', 'numOrdre', 'libelle', 'estDefaut'],
  GAMME_SERVICE: ['code', 'nom'],
  GENERIQUEUR: ['nom'],
  GRANDE_REGION: ['resipIdGRegion', 'codeGReg', 'nomGReg'],
  GROSSISTE: ['nom'],
  ITEM: ['code', 'name', 'codeItem'],
  COULEUR: ['code', 'libelle'],
  GROUPE_AMIS: ['nom', 'status', 'type', 'predefine'],
  TODO_ACTION_TYPE: ['code', 'libelle'],
  TODO_ACTION_ORIGINE: ['code', 'libelle'],
  LABORATOIRE_SUITE: [
    'resipIdLaboSuite',
    'nom',
    'adresse',
    'codePostal',
    'telephone',
    'ville',
    'telecopie',
    'email',
    'webSiteUrl',
  ],
  LISTE: ['resipCodeListe', 'codeListe', 'libelle'],
  MODULE: ['code', 'nom'],
  MOTIF: ['libelle', 'typeMotif'],
  PARAMETER_TYPE: ['code', 'nom'],
  PARAMETER_GROUPE: ['code', 'nom'],
  QUALITE: ['libelle'],
  ROLE: ['code', 'nom', 'groupeRole', 'typeRole'],
  SERVICE: ['resipIdService', 'code', 'nom'],
  SERVICE_INFORMATIQUE: ['nom'],
  SMYLEY: ['nom', 'photo', 'note'],
  SSII: ['resipIdSSII', 'nom'],
  STATUT_LIGNE: ['code', 'libelle'],
  TAUX_SS: ['resipCodeTauxSS', 'codeTaux', 'tauxSS'],
  TRANSMISSION: ['nom'],
  TVA: ['resipCodeTVA', 'codeTva', 'tauxTva', 'designation'],
  TYPOLOGIE: ['resipIdTypologie', 'code', 'libelle'],
  USER_ORIGINE: ['code', 'name'],
  CANAL_SOUS_GAMME: ['resipIdSousGamme', 'canalGamme', 'codeSousGamme', 'libelle', 'estDefaut'],
  FONCTION: ['resipIdFonction', 'code', 'nom', 'service'],
  TITULAIRE_FONCTION: ['code', 'nom'],
  LABORATOIRE: ['resipIdLabo', 'resipIdLaboSuite', 'nomLabo'],
  LOGICIEL: ['ssii', 'nom'],
  PARAMETER: ['code', 'name', 'idParameterType', 'idParameterGroupe', 'category', 'defaultValue'],
  REGION: ['resipIdRegion', 'grandeRegion', 'nom'],
  SOUS_GAMME_CATALOGUE: [
    'resipIdSousGamme',
    'gammeCatalogue',
    'codeSousGamme',
    'numOrdre',
    'libelle',
    'estDefaut',
  ],
  TRAITEMENT: ['code', 'nom', 'module'],
  DEPARTEMENT: ['resipIdDepartement', 'code', 'nom', 'region'],
  PERSONNEL: [
    'resipIdPersonnel',
    'group',
    'societe',
    'service',
    'respHierarch',
    'sortie',
    'civilite',
    'nom',
    'prenom',
    'login',
    'password',
    'adresse1',
    'adresse2',
    'telBureau',
    'telDomicile',
    'telMobProf',
    'telMobPerso',
    'faxBureau',
    'faxDomicile',
    'cp',
    'ville',
    'mailProf',
    'mailPerso',
    'commentaire',
    'photo',
    'identifiant',
    'dateSortie',
  ],
  AFFECTATION_PERSONNEL: [
    'reispIdAffectation',
    'personnel',
    'personnelFonction',
    'departement',
    'codeDepartement',
    'dateDebut',
    'dateFin',
  ],
  PHARMACIE: [
    'resipIdPharmacie',
    'idLogiciel',
    'departement',
    'codeEnseigne',
    'idTypologie',
    'sortie',
    'numFiness',
    'cleIvrylab',
    'cip',
    'numFiness',
    'nom',
    'adresse1',
    'adresse2',
    'cp',
    'ville',
    'tele1',
    'tele2',
    'fax',
    'mail1',
    'mail2',
    'mail3',
    'web',
    'nbEmploye',
    'nbAssistant',
    'nbAutreTravailleur',
    'dateAdhesion',
    'gros1',
    'gros2',
    'dateSortie',
    'commentaire',
    'amba1',
    'amba2',
    'respPf1',
    'respPf2',
    'infoMail',
    'junior',
    'generique1',
    'generique2',
    'nbJourOuvre',
    'latitude',
    'longitude',
    'horaires1',
    'horaires2',
    'horaires3',
    'horaires4',
    'codeTeletrans',
    'qualifEnvoi',
    'idOperateur',
    'idPharmCritere1',
    'idPharmCritere2',
    'idPharmCritere3',
    'idTrancheCa',
    'idGeneriqueur1',
    'idGeneriqueur2',
    'idGrossiste1',
    'idGrossiste2',
    'idSegmentation',
    'qualifBi',
  ],
  TITULAIRE: [
    'resipIdTitulaire',
    'civilite',
    'nom',
    'prenom',
    'adresse1',
    'adresse2',
    'ville',
    'cp',
    'tele1',
    'tele2',
    'fax',
    'mail',
    'commentaire',
    'dateNaissance',
  ],
  TIT_PHARMACIE: ['titulaire', 'pharmacie'],
  AFFECTATION_PRESIDENT_REGION: [
    'reispIdAffectation',
    'departement',
    'titulaire',
    'dateDebut',
    'dateFin',
  ],
  GROUPE_CLIENT: [
    'reispIdGroupe',
    'codeGroupe',
    'nomGroupe',
    'nomCommercial',
    'dateValiditeDebut',
    'source',
    'dateModification',
    'utilisateur',
  ],
  GROUPE_CLIENT_CLIENT: ['groupeClient', 'pharmacie'],
  PRODUIT: [
    'resipIdProduit',
    'libelle',
    'libelle2',
    'type',
    'categorie',
    'typeCategorie',
    'isReferentGenerique',
    'isDopant',
    'codeP1',
    'codeP2',
    'codeP3',
    'codeP4',
    'codeP5',
    'codeP6',
    'medicamentException',
    'medicamentT2a',
    'supprimer',
    'surveillanceRenforcee',
    'moleculeOnereuse',
  ],
  PRODUIT_CANAL: [
    'qteStock',
    'qteMin',
    'stv',
    'unitePetitCond',
    'uniteSupCond',
    'codeBlocage',
    'prixFab',
    'prixPhv',
    'prixTtc',
    'dateCreation',
    'dateModification',
    'dateRetrait',
    'datePeremption',
    'flag',
    'isRemoved',
    'sousGamme',
    'produit',
    'sousGammeCatalogue',
  ],
  PRODUIT_CODE: ['resipIdProduit', 'code', 'typeCode', 'referent'],
  PRODUIT_EQUIVALENT_STRICT: ['resipIdProduitRef', 'resipIdProduitEquivalent'],
  PRODUIT_FAMILLE: ['resipIdProduit', 'resipCodeFamille', 'ordre'],
  PRODUIT_TECH_REG: [
    'resipIdProduit',
    'libelle',
    'libelle2',
    'libelle3',
    'cip7',
    'cip7Bcb',
    'cip13',
    'ucd7',
    'ucd13',
    'resipCis',
    'isTipsLpp',
    'isHomeo',
    'isTfr',
    'isStupefiant',
    'resipIdLaboTitulaire',
    'resipIdLaboExploitant',
    'resipIdLaboDistributeur',
    'resipCodeTVA',
    'prixAchat',
    'prixAchatHT',
    'prixVenteTTC',
    'resipCodeActe',
    'resipCodeListe',
    'resipCodeStockage',
    'resipCodeTauxSS',
    'baseRemboursementSS',
    'codePoidsVolume',
    'poidsVolume',
    'tpn',
    'peremption',
    'multipleVente',
    'hauteur',
    'largeur',
    'longueur',
    'resipCodeStatut',
    'numeroAmm',
    'dateAmm',
    'agrementCollective',
    'otc',
    'resipAttributCasher',
    'resipTypeConditionnement',
    'code13Referent',
    'resipIdProduitRemplacant',
    'resipUcd7',
    'codeIndexAcl',
  ],
  PRODUIT_FLAG: [
    'resipIdProduit',
    'deriveSang',
    'anticoagulant',
    'avk',
    'vaccin',
    'soluteDilution',
    'contraceptionUrgence',
    'contraceptifMineurs',
    'frigo',
    'stupefiant',
    'antibioHumain',
    'antibioVeterinaire',
    'deconditionnement',
    'vaccinGrippeSaisonniere',
    'ghs',
    'horsGhs',
  ],
  PRODUIT_GROUPE_GEN: ['resipIdProduit', 'resipCodeGroupe', 'type'],
  PRODUIT_TIPS: ['resipIdProduit', 'ordre', 'coefficient', 'qualifiant', 'codeTips'],
  PRODUIT_UCD: ['resipUcd7', 'ucd7', 'ucd13', 'libelle', 'libelleBcb'],
  LIBELLE_DIVERS: ['resipCodeInfo', 'codeInfo', 'code', 'libelle'],
  GROUPE_GEN: ['resipCodeGroupe', 'codeGroupe', 'libelleGroupe', 'resipCodeGroupePere'],
  CIS_AGENCE: ['resipCodeCis', 'codeCis', 'libelle'],
  REMISE: [
    'resipIdRemise',
    'idOperation',
    'dateDebut',
    'dateFin',
    'nbRefMin',
    'nomRemise',
    'modelRemise',
    'typeRemise',
    'idPflGroupeClient',
    'source',
    'active',
    'dateModification',
    'utilisateur',
  ],
  REMISE_DETAIL: [
    'quantiteMin',
    'quantiteMax',
    'pourcentageRemise',
    'remiseSupplementaire',
    'nombreUg',
    'remise',
  ],
  REMISE_LIGNE: [
    'idOrigineArticle',
    'idOperation',
    'dateDebut',
    'dateFin',
    'produitCanal',
    'groupeClient',
    'remise',
  ],
  REMISE_PANACHEE: [
    'idOrigineArticle',
    'idOperation',
    'dateDebut',
    'dateFin',
    'produitCanal',
    'groupeClient',
    'remise',
  ],
  PRODUIT_CATEGORIE: ['resipIdCategorie', 'libelle'],
  PRODUIT_TYPE_CATEGORIE: ['resipIdTypeCategorie', 'libelle'],
  PRODUIT_TYPE_CODE: ['resipIdTypeCode', 'libelle'],
};
